Page MenuHomePhabricator

decommission db1067.eqiad.wmnet
Closed, ResolvedPublicRequest

Description

This task will track the decommission-hardware of server db1067.eqiad.wmnet

With the launch of updates to the decom cookbook, the majority of these steps can be handled by the service owners directly. The DC Ops team only gets involved once the system has been fully removed from service and powered down by the decommission cookbook.

db1067
Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/+/551799/
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system) recommended to ensure services offline but not 100% required as long as the decom script is IMMEDIATELY run below. https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/552213/
  • - login to cumin host and run the decom cookbook: cookbook sre.hosts.decommission <host fqdn> -t <phab task>. This does: bootloader wipe, host power down, netbox update to decommissioning status, puppet node clean, puppet node deactivate, debmonitor removal.
  • - remove all remaining puppet references (include role::spare) and all host entries in the puppet repo
  • - remove ALL dns entries except the asset tag mgmt entries.
  • - reassign task from service owner to DC ops team member depending on site of server: codfw = @Papaul, eqiad = @Jclark-ctr, all other sites = @RobH.

End service owner steps / Begin DC-Ops team steps:

  • - disable switch port / set to asset tag if host isn't being unracked / remove from switch if being unracked.
  • - system disks wiped (by onsite)
  • - determine system age, under 5 years are reclaimed to spare, over 5 years are decommissioned. If uncertain, ask @wiki_willy.
  • - IF DECOM: system unracked and decommissioned (by onsite), update netbox with result and set state to offline
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 14 2019, 6:42 AM
Marostegui moved this task from Triage to In progress on the DBA board.Nov 14 2019, 6:43 AM

db1067 is no longer a master, but let's wait a few days before actually start its decommissioning process.

Change 551032 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db1067: Disable notifications

https://gerrit.wikimedia.org/r/551032

Change 551032 merged by Marostegui:
[operations/puppet@production] db1067: Disable notifications

https://gerrit.wikimedia.org/r/551032

Marostegui updated the task description. (Show Details)Nov 15 2019, 6:27 AM

Change 551799 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db1067 from config

https://gerrit.wikimedia.org/r/551799

Marostegui updated the task description. (Show Details)Nov 19 2019, 12:09 PM

Change 551799 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db1067 from config

https://gerrit.wikimedia.org/r/551799

Mentioned in SAL (#wikimedia-operations) [2019-11-19T12:11:25Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Remove db1067 from config T238297 (duration: 00m 52s)

Mentioned in SAL (#wikimedia-operations) [2019-11-19T12:12:23Z] <marostegui@deploy1001> Synchronized wmf-config/db-codfw.php: Remove db1067 from config T238297 (duration: 00m 52s)

Change 552213 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Prepare to decommission db1067

https://gerrit.wikimedia.org/r/552213

Change 552213 merged by Marostegui:
[operations/puppet@production] mariadb: Prepare to decommission db1067

https://gerrit.wikimedia.org/r/552213

Marostegui updated the task description. (Show Details)Nov 21 2019, 9:15 AM

Mentioned in SAL (#wikimedia-operations) [2019-11-21T09:38:36Z] <marostegui> Stop MySQL on db1067 - T238297

Change 552708 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Remove db1067

https://gerrit.wikimedia.org/r/552708

Change 552709 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] wmnet: Remove production DNS for db1067

https://gerrit.wikimedia.org/r/552709

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: db1067.eqiad.wmnet

  • db1067.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 552708 merged by Marostegui:
[operations/puppet@production] mariadb: Remove db1067

https://gerrit.wikimedia.org/r/552708

Change 552709 merged by Marostegui:
[operations/dns@master] wmnet: Remove production DNS for db1067

https://gerrit.wikimedia.org/r/552709

Marostegui updated the task description. (Show Details)
Restricted Application added a project: Operations. · View Herald TranscriptNov 25 2019, 8:12 AM

Host ready for DC-Ops steps

Cmjohnson moved this task from Backlog to Decommission on the ops-eqiad board.Nov 26 2019, 6:09 PM
Jclark-ctr updated the task description. (Show Details)Feb 5 2020, 10:43 PM
RobH removed a subscriber: RobH.Mar 3 2020, 6:01 PM
[edit interfaces interface-range vlan-private1-c-eqiad]
-    member ge-6/0/32;
[edit interfaces interface-range disabled]
     member ge-7/0/0 { ... }
+    member ge-6/0/32;
[edit interfaces]
-   ge-6/0/32 {
-       description db1067;
-   }
Papaul updated the task description. (Show Details)Mar 19 2020, 2:58 PM
Papaul added a subscriber: RobH.
Papaul closed this task as Resolved.Mar 20 2020, 3:29 PM
Papaul updated the task description. (Show Details)

complete